export const createScheduleAudioBufferSourceNode = (convertToContextFrame) => (audioWorkletNode, context, createAudioBufferSourceNode, timingObject) => {
    const audioBuffer = new AudioBuffer({ length: 2, sampleRate: context.sampleRate });
    const audioBufferSourceNode = createAudioBufferSourceNode(context);
    const { position, timestamp } = timingObject.query();
    audioBuffer.copyToChannel(new Float32Array([position, convertToContextFrame(context, timestamp)]), 0);
    audioBufferSourceNode.buffer = audioBuffer;
    const promise = new Promise((resolve) => audioBufferSourceNode.addEventListener('ended', () => resolve(), { once: true }));
    audioBufferSourceNode.connect(audioWorkletNode);
    audioBufferSourceNode.start();
    return promise;
};
//# sourceMappingURL=schedule-audio-buffer-source-node.js.map